log-facility local7;

authoritative;
server-name "MY_DHCP";
ddns-update-style none;
ddns-updates off;
#local-address 172.31.8.6;


#Logging stuff
#I'm the primary
failover peer "my-central" {
        primary;
        address 172.31.8.6;
        port 847;
        peer address 10.24.8.9;
        peer port 647;
        max-response-delay 180;
        mclt 1800;
        split 128;
        load balance max seconds 3;
}

# local subnet to make dhcpd happy do nothing otherwise
subnet 10.xx.yy.zz netmask 255.255.254.0 {
}

class "jason-equip-RGMGMT-jvendor" {
        match if ( substring (option agent.remote-id,0,11)="jason-equip")
        and ( substring (option agent.circuit-id,2,2)="\x01\x2C" )
       and ( option vendor-class-identifier="jvendor" );
       option vendor-class-identifier "jvendor";
}

shared-network jason-equip {
# Declaration for local subnet

subnet 172.31.0.0 netmask 255.255.252.0 {
        option routers 172.31.0.1;
        option subnet-mask 255.255.252.0;
        option broadcast-address 172.31.3.255;
        pool { 
                failover peer "my-central";
                deny dynamic bootp clients;
                authoritative;
                allow members of "jason-equip-RGMGMT-jvendor";
                range 172.31.0.2 172.31.3.254;
                default-lease-time 86400;
                max-lease-time 86400;
        }
}

}

